Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## infomat
Class Experimentator

    java.lang.Object
      infomat.Experimentator

All Implemented Interfaces:
  HasProperties

    public class Experimentator

extends java.lang.Object
implements HasProperties

Class for running clustering experiments. Only works on sparse data, with such similarity measures. Reads Properties (one for this class, one for each class it uses) from a path hierarchy and generates results in a corresponding hiererarchy.
`java -cp classes/ -Xms1024m -Xmx1024m infomat.Experimentator`

Field Summary
`private IMatrix` | `matrix`
`private IMatrix` | `originalMatrix`
`private PropertiesPool` | `poolForMatrix`
`private Properties` | `properties`
`private java.io.File` | `propertiesDirectory`
`private IObjectGrouping` | `referenceGrouping`
`private boolean` | `rows`

Constructor Summary
`Experimentator(java.io.File propertiesDirectory)`

Method Summary
`private PropertiesPool` | `accumulateToPool(PropertiesPool pool, java.io.File dir)`
`private static void` | `badInput(java.lang.String comment)`
`private void` | `doIt()`
`private void` | `doOneExperiment(PropertiesPool pool, java.io.File dir)`
`Properties` | `getDefaultProperties()`
`Properties` | `getProperties()`
`java.lang.Object` | `getPropertyValue(java.lang.String name)`
`private void` | `init()`
`static void` | `main(java.lang.String[] args)`
`private boolean` | `poolsDifferentInPreprocessing(PropertiesPool pool, PropertiesPool poolForMatrix)`
`private void` | `preprocess(PropertiesPool pool)`
`private void` | `recurseExperimentDirectory(java.io.File dir, PropertiesPool pool)`
`void` | `setProperties(Properties properties)`
`void` | `setProperty(java.lang.String name, java.lang.Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### propertiesDirectory

    private java.io.File propertiesDirectory

### properties

    private Properties properties

### rows

    private boolean rows

### originalMatrix

    private IMatrix originalMatrix

### matrix

    private IMatrix matrix

### poolForMatrix

    private PropertiesPool poolForMatrix

### referenceGrouping

    private IObjectGrouping referenceGrouping

Constructor Detail

### Experimentator

    public Experimentator(java.io.File propertiesDirectory)

Method Detail

### getDefaultProperties

    public Properties getDefaultProperties()

  Specified by:
    `getDefaultProperties` in interface `HasProperties`

### getPropertyValue

    public java.lang.Object getPropertyValue(java.lang.String name)

  Specified by:
    `getPropertyValue` in interface `HasProperties`

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.Object value)
                     throws PropertyNotFoundException

  Specified by:
    `setProperty` in interface `HasProperties`
  Throws:
    `PropertyNotFoundException`

### getProperties

    public Properties getProperties()

  Specified by:
    `getProperties` in interface `HasProperties`

### setProperties

    public void setProperties(Properties properties)

  Specified by:
    `setProperties` in interface `HasProperties`

### main

    public static void main(java.lang.String[] args)
                     throws java.io.IOException,
                            PropertyNotFoundException

  Throws:
    `java.io.IOException`
    `PropertyNotFoundException`

### badInput

    private static void badInput(java.lang.String comment)

### init

    private void init()

### doIt

    private void doIt()
               throws java.io.IOException,
                      PropertyNotFoundException

  Throws:
    `java.io.IOException`
    `PropertyNotFoundException`

### recurseExperimentDirectory

    private void recurseExperimentDirectory(java.io.File dir,
                                            PropertiesPool pool)
                                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### accumulateToPool

    private PropertiesPool accumulateToPool(PropertiesPool pool,
                                            java.io.File dir)
                                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### doOneExperiment

    private void doOneExperiment(PropertiesPool pool,
                                 java.io.File dir)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### preprocess

    private void preprocess(PropertiesPool pool)

### poolsDifferentInPreprocessing

    private boolean poolsDifferentInPreprocessing(PropertiesPool pool,
                                                  PropertiesPool poolForMatrix)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD